Show / Hide Table of Contents

# Class WebhookDeleteAuditLogData

Contains a piece of audit log data related to a webhook deletion.

##### Inheritance

System.Object
WebhookDeleteAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class WebhookDeleteAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### Avatar

Gets the hash value of the webhook's avatar.

##### Declaration

    public string Avatar { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the hash of the webhook's avatar.

| Improve this Doc View Source

#### ChannelId

Gets the ID of the channel that the webhook could send to.

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the channel that the webhook could send to.

| Improve this Doc View Source

#### Name

Gets the name of the webhook that was deleted.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the name of the webhook that was deleted.

| Improve this Doc View Source

#### Type

Gets the type of the webhook that was deleted.

##### Declaration

    public WebhookType Type { get; }

##### Property Value

Type | Description
--- | ---
WebhookType | The type of webhook that was deleted.

| Improve this Doc View Source

#### WebhookId

Gets the ID of the webhook that was deleted.

##### Declaration

    public ulong WebhookId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the webhook that was deleted.

### Implements

IAuditLogData